Skip to navigation

Security Advisory kdelibs security update

Advisory: RHSA-2005:325-07
Type: Security Advisory
Severity: Important
Issued on: 2005-03-23
Last updated on: 2005-03-23
Affected Products: Red Hat Desktop (v. 4)
Red Hat Enterprise Linux AS (v. 4)
Red Hat Enterprise Linux ES (v. 4)
Red Hat Enterprise Linux WS (v. 4)
CVEs (cve.mitre.org): CVE-2005-0237
CVE-2005-0365
CVE-2005-0396

Details

Updated kdelibs packages that fix several security issues are now available
for Red Hat Enterprise Linux 4.

This update has been rated as having important security impact by the Red
Hat Security Response Team.

The kdelibs package provides libraries for the K Desktop Environment.

The International Domain Name (IDN) support in the Konqueror browser
allowed remote attackers to spoof domain names using punycode encoded
domain names. Such domain names are decoded in URLs and SSL certificates
in a way that uses homograph characters from other character sets, which
facilitates phishing attacks. The Common Vulnerabilities and Exposures
project (cve.mitre.org) has assigned the name CAN-2005-0237 to this issue.

Sebastian Krahmer discovered a flaw in dcopserver, the KDE Desktop
Communication Protocol (DCOP) daemon. A local user could use this flaw to
stall the DCOP authentication process, affecting any local desktop users
and causing a reduction in their desktop functionality. The Common
Vulnerabilities and Exposures project (cve.mitre.org) has assigned the name
CAN-2005-0396 to this issue.

A flaw in the dcopidlng script was discovered. The dcopidlng script would
create temporary files with predictable filenames which could allow local
users to overwrite arbitrary files via a symlink attack. The Common
Vulnerabilities and Exposures project (cve.mitre.org) has assigned
the name CAN-2005-0365 to this issue.

Users of KDE should upgrade to these erratum packages which contain
backported patches to correct these issues.


Solution

Before applying this update, make sure that all previously-released
errata relevant to your system have been applied. Use Red Hat
Network to download and update your packages. To launch the Red Hat
Update Agent, use the following command:

up2date

For information on how to install packages manually, refer to the
following Web page for the System Administration or Customization
guide specific to your system:

http://www.redhat.com/docs/manuals/enterprise/

Updated packages

Red Hat Desktop (v. 4)

IA-32:
kdelibs-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 105b9b5875503e735f0ee528b98b503b
kdelibs-devel-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 1af694976c9994ff3bc42b04ed122684
 
x86_64:
kdelibs-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 105b9b5875503e735f0ee528b98b503b
kdelibs-3.3.1-3.6.x86_64.rpm
File outdated by:  RHSA-2011:1385
    MD5: 1a99bb1ca25663786baca88582364276
kdelibs-devel-3.3.1-3.6.x86_64.rpm
File outdated by:  RHSA-2011:1385
    MD5: 918fbe7a0df8853c16213e9cc85311ca
 
Red Hat Enterprise Linux AS (v. 4)

IA-32:
kdelibs-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 105b9b5875503e735f0ee528b98b503b
kdelibs-devel-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 1af694976c9994ff3bc42b04ed122684
 
IA-64:
kdelibs-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 105b9b5875503e735f0ee528b98b503b
kdelibs-3.3.1-3.6.ia64.rpm
File outdated by:  RHSA-2011:1385
    MD5: aeac4b10cefa2eb651331da7d7543688
kdelibs-devel-3.3.1-3.6.ia64.rpm
File outdated by:  RHSA-2011:1385
    MD5: 86c14fcc2971949ae7d2bf6d4dc64ceb
 
PPC:
kdelibs-3.3.1-3.6.ppc.rpm
File outdated by:  RHSA-2011:1385
    MD5: d7b5bea6a04c878784dcbf7753cd0b41
kdelibs-3.3.1-3.6.ppc64.rpm
File outdated by:  RHSA-2011:1385
    MD5: b42f3377c51e8de4370f41daec826078
kdelibs-devel-3.3.1-3.6.ppc.rpm
File outdated by:  RHSA-2011:1385
    MD5: 63f50dac91194f9964f7c6cfad306be5
 
s390:
kdelibs-3.3.1-3.6.s390.rpm
File outdated by:  RHSA-2011:1385
    MD5: 69622bbacd11c294bd01e98434a5b13b
kdelibs-devel-3.3.1-3.6.s390.rpm
File outdated by:  RHSA-2011:1385
    MD5: e54406f8e75005d869539b701bddbe4f
 
s390x:
kdelibs-3.3.1-3.6.s390.rpm
File outdated by:  RHSA-2011:1385
    MD5: 69622bbacd11c294bd01e98434a5b13b
kdelibs-3.3.1-3.6.s390x.rpm
File outdated by:  RHSA-2011:1385
    MD5: 6898fa8e5397b0c634a88f09872cd348
kdelibs-devel-3.3.1-3.6.s390x.rpm
File outdated by:  RHSA-2011:1385
    MD5: 65d18f1af50501dd67c477ea4e1fc3a5
 
x86_64:
kdelibs-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 105b9b5875503e735f0ee528b98b503b
kdelibs-3.3.1-3.6.x86_64.rpm
File outdated by:  RHSA-2011:1385
    MD5: 1a99bb1ca25663786baca88582364276
kdelibs-devel-3.3.1-3.6.x86_64.rpm
File outdated by:  RHSA-2011:1385
    MD5: 918fbe7a0df8853c16213e9cc85311ca
 
Red Hat Enterprise Linux ES (v. 4)

IA-32:
kdelibs-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 105b9b5875503e735f0ee528b98b503b
kdelibs-devel-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 1af694976c9994ff3bc42b04ed122684
 
IA-64:
kdelibs-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 105b9b5875503e735f0ee528b98b503b
kdelibs-3.3.1-3.6.ia64.rpm
File outdated by:  RHSA-2011:1385
    MD5: aeac4b10cefa2eb651331da7d7543688
kdelibs-devel-3.3.1-3.6.ia64.rpm
File outdated by:  RHSA-2011:1385
    MD5: 86c14fcc2971949ae7d2bf6d4dc64ceb
 
x86_64:
kdelibs-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 105b9b5875503e735f0ee528b98b503b
kdelibs-3.3.1-3.6.x86_64.rpm
File outdated by:  RHSA-2011:1385
    MD5: 1a99bb1ca25663786baca88582364276
kdelibs-devel-3.3.1-3.6.x86_64.rpm
File outdated by:  RHSA-2011:1385
    MD5: 918fbe7a0df8853c16213e9cc85311ca
 
Red Hat Enterprise Linux WS (v. 4)

IA-32:
kdelibs-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 105b9b5875503e735f0ee528b98b503b
kdelibs-devel-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 1af694976c9994ff3bc42b04ed122684
 
IA-64:
kdelibs-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 105b9b5875503e735f0ee528b98b503b
kdelibs-3.3.1-3.6.ia64.rpm
File outdated by:  RHSA-2011:1385
    MD5: aeac4b10cefa2eb651331da7d7543688
kdelibs-devel-3.3.1-3.6.ia64.rpm
File outdated by:  RHSA-2011:1385
    MD5: 86c14fcc2971949ae7d2bf6d4dc64ceb
 
x86_64:
kdelibs-3.3.1-3.6.i386.rpm
File outdated by:  RHSA-2011:1385
    MD5: 105b9b5875503e735f0ee528b98b503b
kdelibs-3.3.1-3.6.x86_64.rpm
File outdated by:  RHSA-2011:1385
    MD5: 1a99bb1ca25663786baca88582364276
kdelibs-devel-3.3.1-3.6.x86_64.rpm
File outdated by:  RHSA-2011:1385
    MD5: 918fbe7a0df8853c16213e9cc85311ca
 
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

147405 - CAN-2005-0237 homograph spoofing
148822 - CAN-2005-0365 dcopidlng insecure temporary file usage
150090 - CAN-2005-0396 kdelibs DCOP DoS


References



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/